org.apache.hc.core5.http.message

## Class BasicHeaderElementIterator

- java.lang.Object
- - org.apache.hc.core5.http.message.BasicHeaderElementIterator

- All Implemented Interfaces:
    Iterator<HeaderElement>

      public class BasicHeaderElementIterator
      extends Object

  `Iterator` of `HeaderElement`s.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHeaderElementIterator(Iterator<? extends Header> headerIterator)`
    `BasicHeaderElementIterator(Iterator<? extends Header> headerIterator, HeaderValueParser parser)` Creates a new instance of BasicHeaderElementIterator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### BasicHeaderElementIterator

          public BasicHeaderElementIterator(Iterator<? extends Header> headerIterator,
                                            HeaderValueParser parser)

      Creates a new instance of BasicHeaderElementIterator

    - #### BasicHeaderElementIterator

          public BasicHeaderElementIterator(Iterator<? extends Header> headerIterator)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### next

          public T next()
                 throws NoSuchElementException

      Specified by:
        `next` in interface `Iterator<T>`
      Throws:
        `NoSuchElementException`

    - #### remove

          public void remove()
                      throws UnsupportedOperationException

      Specified by:
        `remove` in interface `Iterator<T>`
      Throws:
        `UnsupportedOperationException`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.